<?php

add_action( 'customize_register', 'st_customizer_settings' );


function st_customizer_settings( $wp_customize ) {

	//text pannel
	$wp_customize->add_panel( 'st_text_blocks', array(
		'priority'       => 3,
		'theme_supports' => '',
		'title'          => 'Text',
		'description'    => 'General text'
	) );


	//general section
	$wp_customize->add_section( 'st_general' , array(
    	'title'  => 'General',
    	'priority'   => 1
	) );

	//colors section
	$wp_customize->add_section( 'st_colors' , array(
    	'title'      => 'Colors',
    	'priority'   => 2
	) );

	//text section top
	$wp_customize->add_section( 'st_top_text_sec' , array(
		'title'    => 'Top text',
		'panel'    => 'st_text_blocks',
		'priority' => 3
	) );

	//text section mid
	$wp_customize->add_section( 'st_mid_text_sec' , array(
		'title'    => 'Middle text',
		'panel'    => 'st_text_blocks',
		'priority' => 4
	) );

	//text section form
	$wp_customize->add_section( 'st_form_sec' , array(
		'title'    => 'Form text',
		'panel'    => 'st_text_blocks',
		'priority' => 4
	) );





	/**
	 * email
	 */
	$wp_customize->add_setting( 'st_email' , array(
		'default'           => 'your@email.com',
		'sanitize_callback' => 'sanitize_text',
		'priority' => 1
	) );

	$wp_customize->add_control( 'st_domain', array(
	'label'      => 'The contact email',
	'section'    => 'st_general',
	'settings'   => 'st_email',
	'type'       => 'text'
	) );


	/**
	 * domain name
	 */
	$wp_customize->add_setting( 'st_domain' , array(
		'default'           => 'domainname.com',
		'sanitize_callback' => 'sanitize_text',
		'priority' => 2
	) );

	$wp_customize->add_control( 'st_custom_domain', array(
	'label'      => 'The domain',
	'section'    => 'st_general',
	'settings'   => 'st_domain',
	'type'       => 'text'
	) );


	/**
	 * bg img
	 */
	$wp_customize->add_setting( 'st_bg' , array(
		'height'     => 325,
		'priority' => 3
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'st_custom_bg', array(
	'label'      => 'Background image',
	'section'    => 'st_general',
	'settings'   => 'st_bg',
	) ) );

	

	/**
	 * color
	 */
	$wp_customize->add_setting( 'st_theme_color_set' , array(
		'default'     => '#3eb0f7'
	) );

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'st_theme_color_set', array(
	'label'      => 'Theme Color',
	'section'    => 'st_colors',
	'settings'   => 'st_theme_color_set',
	) ) );


	/**
	 * top text
	 */
	$wp_customize->add_setting( 'st_entry_text', array(
		 'default'           => 'Premium domain',
		 'sanitize_callback' => 'sanitize_text',
		 'priority' => 1
	) );

	$wp_customize->add_control( 'custom_st_entry_text', array(
	'label'    => 'Top',
	'section'  => 'st_top_text_sec',
	'settings' => 'st_entry_text',
	'type'     => 'text'
	));



	/**
	 * st_subtitle
	 */
	$wp_customize->add_setting( 'st_subtitle', array(
		 'default'           => 'This premium domain name is available for purchase! Make the best offer and take it.',
		 'sanitize_callback' => 'sanitize_text',
		 'priority' => 2
	));

	$wp_customize->add_control( 'custom_st_subtitle_text', array(
	'label'    => 'st_subtitle',
	'section'  => 'st_top_text_sec',
	'settings' => 'st_subtitle',
	'type'     => 'text'
	));



	/**
	 * st_button
	 */
	$wp_customize->add_setting( 'st_button', array(
		 'default'           => 'Make an offer',
		 'sanitize_callback' => 'sanitize_text',
		 'priority' => 3
	));

	$wp_customize->add_control( 'custom_btn_text', array(
	'label'    => 'st_button text',
	'section'  => 'st_top_text_sec',
	'settings' => 'st_button',
	'type'     => 'text'
	));



	/**
	 * middle text title
	 */
	$wp_customize->add_setting( 'st_middle_title', array(
		 'default'           => 'How to buy this domain',
		 'sanitize_callback' => 'sanitize_text',
		 'priority' => 4
	));

	$wp_customize->add_control( 'custom_st_middle_title_text', array(
	'label'    => 'Title',
	'section'  => 'st_mid_text_sec',
	'settings' => 'st_middle_title',
	'type'     => 'text'
	));


	/**
	 * middle text desc
	 */
	$wp_customize->add_setting( 'st_middle_desc', array(
		 'default'           => 'How to buy this domain description',
		 'sanitize_callback' => 'sanitize_text',
		 'priority' => 5
	));

	$wp_customize->add_control( 'custom_st_middle_title_desc', array(
	'label'    => 'Description',
	'section'  => 'st_mid_text_sec',
	'settings' => 'st_middle_desc',
	'type'     => 'text'
	));

	/**
	 * form paragr
	 */
	$wp_customize->add_setting( 'st_form_paragr', array(
		 'default'           => 'This premium domain is available for purchense:',
		 'sanitize_callback' => 'sanitize_text',
		 'priority' => 1
	));

	$wp_customize->add_control( 'custom_st_form_paragr', array(
	'label'    => 'Paragraph',
	'section'  => 'st_form_sec',
	'settings' => 'st_form_paragr',
	'type'     => 'text'
	));

	/**
	 * form bullet point 1
	 */
	$wp_customize->add_setting( 'st_form_bullp_1', array(
		 'default'           => 'Bullet point here',
		 'sanitize_callback' => 'sanitize_text',
		 'priority' => 2
	));

	$wp_customize->add_control( 'custom_bullp_1', array(
	'label'    => 'Bullet point 1',
	'section'  => 'st_form_sec',
	'settings' => 'st_form_bullp_1',
	'type'     => 'text'
	));

	/**
	 * form bullet point 2
	 */
	$wp_customize->add_setting( 'st_form_bullp_2', array(
		 'default'           => 'Bullet point here',
		 'sanitize_callback' => 'sanitize_text',
		 'priority' => 3
	));

	$wp_customize->add_control( 'custom_bullp_2', array(
	'label'    => 'Bullet point 2',
	'section'  => 'st_form_sec',
	'settings' => 'st_form_bullp_2',
	'type'     => 'text'
	));

	/**
	 * form bullet point 3
	 */
	$wp_customize->add_setting( 'st_form_bullp_3', array(
		 'default'           => 'Bullet point here',
		 'sanitize_callback' => 'sanitize_text',
		 'priority' => 4
	));

	$wp_customize->add_control( 'custom_bullp_3', array(
	'label'    => 'Bullet point 3',
	'section'  => 'st_form_sec',
	'settings' => 'st_form_bullp_3',
	'type'     => 'text'
	));

	

	$wp_customize->get_setting( 'st_theme_color_set' )->transport = 'postMessage';
	$wp_customize->get_setting( 'st_email' )->transport = 'postMessage';
	$wp_customize->get_setting( 'st_domain' )->transport = 'postMessage';
	$wp_customize->get_setting( 'st_entry_text' )->transport = 'postMessage';
	$wp_customize->get_setting( 'st_subtitle' )->transport = 'postMessage';
	$wp_customize->get_setting( 'st_button' )->transport = 'postMessage';
	$wp_customize->get_setting( 'st_middle_title' )->transport = 'postMessage';
	$wp_customize->get_setting( 'st_middle_desc' )->transport = 'postMessage';
	$wp_customize->get_setting( 'st_form_paragr' )->transport = 'postMessage';
	$wp_customize->get_setting( 'st_form_bullp_1' )->transport = 'postMessage';
	$wp_customize->get_setting( 'st_form_bullp_2' )->transport = 'postMessage';
	$wp_customize->get_setting( 'st_form_bullp_3' )->transport = 'postMessage';
	










// Sanitize text
	function sanitize_text( $text ) {
	    return sanitize_text_field( $text );
	}
	



}

/**
 * live js customization
 */

add_action( 'customize_preview_init', 'st_customizer' );

function st_customizer() {
	wp_enqueue_script(
		  'st_customizer',
		  get_template_directory_uri() . '/js/customizer.js',
		  array( 'jquery','customize-preview' ),
		  '',
		  true
	);
}




